// Javascript animation example
// swim() starts the animation by initializing a variable, and then defining a function to 
// be called every 80 milliseconds. 
// timer() calls moveTurtle to change the position of the turtle in the window.


// called by the anonymous function in setInterval
// changes the turtle's position by setting it's left and top properties
// works because the turtle is position: absolute.
function moveTurtle (pos) {
	// get the turtle element from DOM
	turtle = document.getElementById("turtle");
	// and change its absolute position 
	turtle.style.left = pos[0]+"%";
	turtle.style.top = pos[1]+"%";
	// change position
	pos = [pos[0]+2, pos[1]+1];
	// wrap around when it gets to the end
	if (pos[0] > 90) {
		pos = [-40,10];
	}
	return pos;
}

// onclick
function swim () {
	let pos = [-40,10];  
	let timer = setInterval( function() {
		pos = moveTurtle(pos);
		// stop when you get all the way to the right
		// turn off the alarm clock
		if (pos[0] >= 90) {
			clearInterval(timer);
		}
	}, 80);
	console.log("timer ",timer);
}

